Modify

#979 closed defect (fixed)

skyped stopped working with Skype 4.0.0.8

Reported by: bitlbee.org@… Owned by: Miklos Vajna
Priority: major Milestone:
Component: Skype Version: 3.0.5
Keywords: skyped, skype Cc:
IRC client+version: Client-independent Operating System: Linux
OS version/distro: Archlinux

Description

I just upgraded to Skype 4.0.0.8 (Archlinux Package). When starting skyped -d -n -H 127.0.0.1 I quickly see the skype window pop up, then I get this:

2012-07-18 23:26:25: skyped is started on port 2727
2012-07-18 23:26:30: Warning, pinging Skype failed (Skype connection refused).
Traceback (most recent call last):
  File "/usr/bin/skyped", line 121, in skype_idle_handler
    skype.skype.SendCommand(c)
  File "/usr/lib/python2.7/site-packages/Skype4Py/skype.py", line 778, in SendCommand
    self._Api.send_command(Command)
  File "/usr/lib/python2.7/site-packages/Skype4Py/api/posix_dbus.py", line 207, in send_command
    result = self.skype_out.Invoke(cmd)
AttributeError: 'NoneType' object has no attribute 'Invoke'
Exiting.

I then downgraded to 4.0.0.7, that works perfectly fine.

Using skyped 0.1.1 with bitlbee-bzr build 912 (API version 03005).

Attachments (0)

Change History (12)

comment:1 Changed at 2012-07-19T09:51:23Z by Miklos Vajna

From the trackback, looks like a skype4py (or skype) issue, care to report this to Arkadiusz Wahlig? (http://arkadiusz.wahlig.eu/, he's the author of skype4py).

I'm leaving this ticket open, just in case it's really a skyped bug, but I doubt.

Thanks.

comment:2 Changed at 2012-07-19T10:15:24Z by bitlbee.org@…

Hi,

thanks for the triaging, didn't realize skyped was using an external library. I mailed Arkadiusz, let's see what he replies.

Florian

comment:3 Changed at 2012-07-19T21:23:56Z by lkraav <leho@…>

I've actually been living with this for a long while, way before Skype4. Skype simply couldn't start up fast enough to accept API connections. For me, just restarting skyped, while Skype was already started, always fixed it.

I highly doubt they changed anything API wise with the 4.0.0.8 hotfix, I'm sitting in their Linux Beta Chat every day.

comment:4 Changed at 2012-07-19T21:24:45Z by lkraav <leho@…>

Well of course, a solid fix would be for skyped to have a better startup API connection loop and not just bluntly bomb out on the first failure. Right @vmiklos? :>

comment:5 Changed at 2012-07-20T05:35:37Z by Miklos Vajna

lkraav, Ah, I didn't actually notice that it's just the ping that fails.

Florian, can you try this patch and see if it helps?

http://people.freedesktop.org/~vmiklos/2012/skyped-ping-attributeerror-nofatal.diff

It just turns a failed skyped->skype keepalive ping failure error to a warning.

Miklos

comment:6 Changed at 2012-07-20T05:55:31Z by bitlbee.org@…

lkraav: weird, that never happened to me with 4.0.0.7 and always happened with 4.0.0.8, although I've always started skyped directly. Maybe it just takes a split second more to start up and that makes it trigger ;) A Skype Linux Beta Chat sounds interesting, where can I find it?

vmiklos: Yes, with that patch it turns into a warning and starts just fine after that. Wouldn't it be a cleaner fix though to just wait a second or so after skype got started?

comment:7 Changed at 2012-07-20T07:21:23Z by Miklos Vajna

Florian, good idea, but I would combine the two. We already wait a second after send failures in other cases. Please test this:

http://people.freedesktop.org/~vmiklos/2012/skyped-ping-attributeerror-nofatal2.diff

If it fixes your problem, I can push that to bzr.

comment:8 Changed at 2012-07-20T07:36:04Z by lkraav <leho@…>

@vmiklos: would you by any chance care to run skyped.py through tabs2spaces while you're at it?

comment:9 Changed at 2012-07-20T07:58:05Z by wilmer

Miklos, tabs are mandatory in the rest of BitlBee so I recommend that you ignore that last request. :-P

comment:10 Changed at 2012-07-20T07:59:05Z by Miklos Vajna

Yep, I just wanted to express that my opinion is that let the top contributor of skyped decide the coding style. :-)

comment:11 Changed at 2012-07-20T08:08:28Z by bitlbee.org@…

It still works fine :)

Of course I still get the warning, but that's okay I guess.

comment:12 Changed at 2012-12-31T14:30:40Z by Miklos Vajna

Resolution: fixed
Status: newclosed

Forgot to close this, fixed in r913.

Modify Ticket

Action
as closed The owner will remain Miklos Vajna.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.